﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ItnWaypoints
{
  public partial class AddressDlg : Form
  {
    AddressService.Address[] addresses;

    AddressService.Address selectedAddress;

    public AddressDlg(AddressService.Address[] addresses)
    {
      InitializeComponent();
      this.addresses = addresses;
      
      var displayed = (from AddressService.Address item in addresses select item.addressNo + " " + item.name1 + " " + item.location.city).ToArray();

      this.addrListBox.Items.AddRange(displayed);
    }

    public AddressService.Address SelectedAddress
    {
      get { return this.selectedAddress; }
    }

    private void okButton_Click(object sender, EventArgs e)
    {
      SaveSelection();
    }

    private void SaveSelection()
    {
      if (this.addrListBox.SelectedIndex != -1)
      {
        this.selectedAddress = this.addresses[this.addrListBox.SelectedIndex];
      }
    }

    private void addrListBox_MouseDoubleClick(object sender, MouseEventArgs e)
    {
      SaveSelection();
      DialogResult = DialogResult.OK;
      Close();
    }
  }
}
